/realms/{realmId}/organizations/{organizationId}/travel/trips/{tripId}/items/{itemId}/cancel
curl --request POST \
--url https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/travel/trips/{tripId}/items/{itemId}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cancellationQuoteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sendToManualCancellationOnFail": true
}
'import requests
url = "https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/travel/trips/{tripId}/items/{itemId}/cancel"
payload = {
"cancellationQuoteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sendToManualCancellationOnFail": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cancellationQuoteId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sendToManualCancellationOnFail: true
})
};
fetch('https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/travel/trips/{tripId}/items/{itemId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Travel Trips
/realms/{realmId}/organizations/{organizationId}/travel/trips/{tripId}/items/{itemId}/cancel
POST
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
travel
/
trips
/
{tripId}
/
items
/
{itemId}
/
cancel
/realms/{realmId}/organizations/{organizationId}/travel/trips/{tripId}/items/{itemId}/cancel
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$When true, a provider-rejected cancellation is sent to manual cancellation instead of failing.
Response
default
Undocumented response (no code type, no existing spec).
/realms/{realmId}/organizations/{organizationId}/travel/trips/{tripId}/items/{itemId}/cancel/realms/{realmId}/organizations/{organizationId}/travel/trips/{tripId}/items/{itemId}/history
⌘I